Redmine - Defect #1674

Error on Repository tab when using SQLServer as db
2008-07-22 22:19 - Jason Morris

Status: Closed Start date: 2008-07-22
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Database Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

| get the following error when | navigate to my repository tab.

redmine 0.7.3 is running on Windows 2k3, SQL Server 2005 under mongrel (1.1.5), mongrel_service (0.3.4), and ruby 1.8.6
(2007-03-13 patchlevel 0) [i386-mswin32].

| have verified that the svn call does work from this server, but believe it is an error generating the sql server sql query.

Processing RepositoriesController#show (for xxx.xxx.xxx.xxx at 2008-07-22 13:02:49) [GET]
Session ID: 9ab2fd12d68ffebabc6bfcf2031e393a

Parameters: {"action"=>"show", "id"=>"xxxx", "controller"=>"repositories"}

[4;35;1mSQL (0.000000)[0m [0mSELECT max(updated_on) AS max_updated on FROM settings [0m

[4;36;1mSQL (0.000000)[0m [0;1MSELECT * FROM users WHERE (status = 1) AND (users.[id] = 3) [Om

[4;35;1mSQL (0.000000)[0m [OmSELECT TOP 1 * FROM projects WHERE (projects.[identifier] = 'xxxx") [Om

[4;36;1mSQL (0.000000)[0m [0;1mSELECT TOP 1 * FROM repositories WHERE (repositories.project_id = 1) [0Om
[4;35;1mSQL (0.000000)[0m [OmSELECT * FROM enabled_modules WHERE (enabled_modules.project_id = 1) [Om

Shelling out: svn list --xml "http://xxxxxxxxxx:81/svn/xxxx/xxxx/"@HEAD --username "xxxxx" --password "Xxxxxx"

Found 3 entries in the repository for "http://xxxxxxxx:81/svn/Xxxx/xxxx/"

[4;36;1mSQL (0.000000)[0m [0;1mDBI::DatabaseError: Execute

OLE error code:80040E14 in Microsoft OLE DB Provider for SQL Server

A column has been specified more than once in the order by list. Columns in the order by list must be unique.

HRESULT error code:0x80020009

Exception occurred.: SELECT TOP 10 * FROM changesets WHERE (changesets.repository_id = 1) ORDER BY committed_on
DESC, changesets.committed_on DESC, changesets.id DESC[0m

ActiveRecord::Statementinvalid (DBI::DatabaseError: Execute

OLE error code:80040E14 in Microsoft OLE DB Provider for SQL Server

A column has been specified more than once in the order by list. Columns in the order by list must be unique.

HRESULT error code:0x80020009

Exception occurred.: SELECT TOP 10 * FROM changesets WHERE (changesets.repository_id = 1) ORDER BY committed_on
DESC, changesets.committed_on DESC, changesets.id DESC):
/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract_adapter.rb:150:in “log'

c:/Program
Files/Ruby/lib/ruby/gems/1.8/gems/activerecord-1.15.3/lib/active_record/connection_adapters/sqlserver_adapter.rb:322:in "execute
c:/Program
Files/Ruby/lib/ruby/gems/1.8/gems/activerecord-1.15.3/lib/active_record/connection_adapters/sqlserver_adapter.rb:536:in “select'
/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/database_statements.rb:7:in
“select_all_without_query_cache'

/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:53:in “select_all’
/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:74:in “cache_sql'
/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:53:in “select_all’
/vendor/rails/activerecord/lib/active_record/base.rb:532:in “find_by_sql’
/vendor/rails/activerecord/lib/active_record/base.rb:1233:in *find_every'

/vendor/rails/activerecord/lib/active_record/base.rb:503:in “find'
/vendor/rails/activerecord/lib/active_record/associations/has_many_association.rb:66:in “find'
/app/controllers/repositories_controller.rb:57:in “show'

/vendor/rails/actionpack/lib/action_controller/base.rb:1158:in “send'

/vendor/rails/actionpack/lib/action_controller/base.rb:1158:in “perform_action_without_filters'
/vendor/rails/actionpack/lib/action_controller/filters.rb:697:in “call_filters'
/vendor/rails/actionpack/lib/action_controller/filters.rb:689:in “perform_action_without_benchmark'’
/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in “perform_action_without_rescue'

c:/Program Files/Ruby/lib/ruby/1.8/benchmark.rb:293:in "'measure’
/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in “perform_action_without_rescue'
/vendor/rails/actionpack/lib/action_controller/rescue.rb:199:in “perform_action_without_caching'
/vendor/rails/actionpack/lib/action_controller/caching.rb:678:in “perform_action’
/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:33:in “cache’
/vendor/rails/activerecord/lib/active_record/query_cache.rb:8:in “cache'
/vendor/rails/actionpack/lib/action_controller/caching.rb:677:in “perform_action’
/vendor/rails/actionpack/lib/action_controller/base.rb:524:in “send'
/vendor/rails/actionpack/lib/action_controller/base.rb:524:in “process_without_filters'
/vendor/rails/actionpack/lib/action_controller/filters.rb:685:in “process_without_session_management_support'
/vendor/rails/actionpack/lib/action_controller/session_management.rb:123:in “process'
/vendor/rails/actionpack/lib/action_controller/base.rb:388:in “process'
/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:171:in “handle_request’
/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:115:in “dispatch’
/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:126:in “dispatch_cgi'
/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:9:in “dispatch’

c:/Program Files/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../lib/mongrel/rails.rb:76:in “process’
c:/Program Files/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../lib/mongrel/rails.rb:74:in “synchronize'
c:/Program Files/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../lib/mongrel/rails.rb:74:in “process’
c:/Program Files/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../lib/mongrel.rb:159:in “process_client'
c:/Program Files/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../lib/mongrel.rb:158:in “each’
c:/Program Files/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../lib/mongrel.rb:158:in “process_client'
c:/Program Files/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../lib/mongrel.rb:285:in “run’

c:/Program Files/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../lib/mongrel.rb:285:in “initialize'
c:/Program Files/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../lib/mongrel.rb:285:in “new'
c:/Program Files/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../lib/mongrel.rb:285:in “run’

c:/Program Files/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../lib/mongrel.rb:268:in “initialize'
c:/Program Files/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../lib/mongrel.rb:268:in “new'
c:/Program Files/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../lio/mongrel.rb:268:in “run’

c:/Program Files/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../lib/mongrel/configurator.rb:282:in “run'
c:/Program Files/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../lib/mongrel/configurator.rb:281:in “each’
c:/Program Files/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../lib/mongrel/configurator.rb:281:in “run'
c:/Program Files/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/mongrel_rails:128:in “run'

c:/Program Files/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../lib/mongrel/command.rb:212:in “run'
c:/Program Files/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/mongrel_rails:281

c:/Program Files/Ruby/bin/mongrel_rails:19:in “load'

c:/Program Files/Ruby/bin/mongrel_rails:19

Rendering f:/redmine/current/public/500.html (500 Internal Server Error)

History

#1 - 2008-07-24 18:05 - Jean-Philippe Lang
- Category set to Database

- Status changed from New to Closed

- Affected version (unused) deleted (0.7.3)

- Resolution set to Invalid

- Affected version deleted (0.7.3)

Please note that SQLServer database is not supported.
